#cs

1. Go to http://www.acapela-group.com/text-to-speech-interactive-demo.html
2. Have a word list (one word per line), or have a verb list (one verb plus ... plus tab plus next verb etc, per line)
3. In Acapela, select uppermost speaker in your language.
4. Run verbinator script, which will first ask you to hover your mouse in various places, to get the coordinates where the script should click.
5. Don't touch anything...
6. To exit, click tray icon

Note: the script assumes 4 different voices per language -- change to suit.

#ce

Global $i
Global $wordlist
Global $langlist
Global $textfield
Global $sayitlink

; We have to get the coordinates from the screen, because Aapela doesn't work with keyboard shortcuts alone

; Get text field coordinates
MsgBox (0, "Get text field coordinates", "Hover your mouse over the middle of the text field", 5)
$textfield = MouseGetPos ()

; Get language list coordinates
MsgBox (0, "Get language list coordinates", "Now hover your mouse over the language list", 5)
$langlist = MouseGetPos ()

; Get SAY IT coordinates
MsgBox (0, "Get SAY IT coordinates", "Now hover your mouse over the SAY IT link", 5)
$sayitlink = MouseGetPos ()

; Open file with word list
$fileopen = FileOpen ("wordlist.txt", 128)
$fileread = FileRead ($fileopen)

; Read file content into array (one line per variable)
$wordline = StringSplit ($fileread, @CRLF, 1)

; Loop for number of words
For $i = 1 to $wordline[0]

Sleep ("500")
ClipPut ($wordline[$i])
Sleep ("500")

; Click the text field
MouseClick ("left", $textfield[0], $textfield[1])

; Paste the text
Sleep ("100")
Send ("^a")
Sleep ("100")
Send ("^v")
Sleep ("100")

; Do Voice 1
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $sayitlink[0], $sayitlink[1], 1, 1)
Sleep ("7000")

; Do Voice 2
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
Send ("{DOWN}")
Sleep ("100")
MouseClick ("left", $sayitlink[0], $sayitlink[1], 1, 1)
Sleep ("10000")

; Do Voice 3
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
Send ("{DOWN}")
Sleep ("100")
MouseClick ("left", $sayitlink[0], $sayitlink[1], 1, 1)
Sleep ("10000")

; Do Voice 4
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
Send ("{DOWN}")
Sleep ("100")
MouseClick ("left", $sayitlink[0], $sayitlink[1], 1, 1)
Sleep ("10000")

; Go back to voice 1
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
MouseClick ("left", $langlist[0], $langlist[1], 1, 1)
Sleep ("100")
Send ("{UP 3}")
Sleep ("100")

Next
